function [upravenyCelkovySignal] = UpravaSignaluPodlaSNR(pocetKriviekEKG,Fvz, dlzkaRusenia, SNR)
% UpravaSignaluPodlaSNR - funkcia vytvori EKG signal s urcitym mnozstvom EMG sumu podla vstupneho zadaneho SNR,
% pre vykreslenie porovnania vstupneho generovaneho signalu a upraveneho je potrebne nastavit premennu vykreslenie na 1
% Syntax: [upravenyCelkovySignal] = UpravaSignaluPodlaSNR(pocetKriviekEKG,Fvz, dlzkaRusenia, SNR)
% Vstupy:
    % pocetKriviekEKG - uzitocna zlozka signalu EKG
    % Fvz - vzorkovacia frekvencia, aku bude mat upraveny vystupny signal
    % dlzkaRusenia
    % SNR - hodnota vyjadrujuca pomer signalu k ruseniu
% Vystupy:
    % upravenyCelkovySignal - upraveny signal z generatoru na nami zvoleny pomer uzitocnej zlozky a EMG
% Autor: Martina Babicova
    vykreslenie = 0;
    [signalEKG, dlzkaSignaluEKG] = generatorEKG(pocetKriviekEKG);      % generovanie signalu EKG
    generovaneRusenie = EMG_maker(Fvz, dlzkaRusenia);                  % generovanie rusenia EMG
    celkovySignalEKG = signalEKG + generovaneRusenie;                  % suma vygenerovaneho EKG signalu a rusenia EMG
    energiaGenerovanehoRusenia = VypocetEnergie(generovaneRusenie);    % energia vygenerovaneho rusenia
    
    % prepocet rusenia, aby vznikla pozadovana energia sumu vzhladom na zadane SNR
    upraveneRusenie = PrepocetRusenia(signalEKG, SNR, generovaneRusenie, energiaGenerovanehoRusenia);
    energiaUpravenehoRusenia = VypocetEnergie(upraveneRusenie);        % energia noveho sumu
    SNR = VypocetSNR(signalEKG, upraveneRusenie);                      % skuska spravnosti, SNR by sa malo rovnat zadanemu SNR
    upravenyCelkovySignal = signalEKG + upraveneRusenie;
    % fprintf(' SNR je %d pri energii %d noveho pozadovaneho sumu.', SNR, energiaUpravenehoRusenia);
    
    if vykreslenie == 1;
        Vykresli vysledne signaly
        figure(1)
        subplot 211
        plot(celkovySignalEKG)
        title('SignalEKG a sum EMG pred upravou')
        subplot 212
        plot(upravenyCelkovySignal)
        title('SignalEKG a pozadovany sum EMG podla zadaneho SNR')
    end
end
